<?php

$dsn = 'mysql:dbname=hurtapet;host=127.0.0.1';
$user = 'root'; // cvut username: 'hurtapet'
$password = ''; // cvut mysql heslo: 'aaa'

try {
    $db = new PDO($dsn, $user, $password);
} catch (PDOException $e) {
    echo 'Connection failed: ' . $e->getMessage();
}

if (isset($_POST["comment-send"])) {
	$sql = $db->prepare(
		"INSERT INTO comments (name, text, date)
		VALUES (?, ?, NOW())"
	);
	$sql->execute([$_POST["name"], $_POST["text"]]);
}

if (isset($_POST["comment-delete"])) {
	$sql = $db->prepare("DELETE FROM comments WHERE id = ?");
	$sql->execute([$_POST["id"]]);
}

$sql = $db->prepare(
	"SELECT id, name, text, date
	FROM comments
	ORDER BY date DESC");
$sql->execute();
$results = $sql->fetchAll();

?>

<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>Komentáře</title>
</head>
<body>
	<style type="text/css">
		.comment {
			background-color: lightgray;
			margin-bottom: 1em;
		}
	</style>

	<?php var_dump($_POST) ?>

	<h1>Komentáře</h1>

	<form method="post">
		<input type="text" name="name" placeholder="zadejte vaše jméno"><br>
		<textarea name="text"></textarea>
		<input type="submit" name="comment-send">
	</form>

	<?php foreach ($results as $value) { ?>
		<div class="comment">
			<h3><?= $value["name"] ?></h3>
			<p><?= $value["date"] ?></p>
			<p><?= $value["text"] ?></p>
			<form method="post">
				<input type="hidden" name="id" value="<?= $value["id"] ?>">
				<input type="submit" name="comment-delete" value="x">
			</form>
		</div>
	<?php } ?>

</body>
</html>

