<?php

$dsn = 'mysql:dbname=hurtapet;host=127.0.0.1';
$user = 'root'; // hurtapet
$password = ''; // aaa

try {
    $db = new PDO($dsn, $user, $password);
} catch (PDOException $e) {
    echo 'Connection failed: ' . $e->getMessage();
}

if (isset($_POST["new-comment"])) {
	$sql = $db->prepare(
		"INSERT INTO comments (name, text, date)
		VALUES (?, ?, NOW())");
	$sql->execute([$_POST["name"], $_POST["text"]]);
}

$sql = $db->prepare(
	"SELECT name, text, date
	 FROM comments
	 ORDER BY date DESC");
$sql->execute();

$result = $sql->fetchAll();

?>

<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>Komentáře</title>
	<style>
		.comment {background-color: lightblue;}
	 </style>
</head>
<body>
	<h1>Komentáře</h1>

	<form method="post">
		<input type="text" name="name" placeholder="zadejte vaše jméno"><br>
		<textarea name="text"></textarea><br>
		<input type="submit" name="new-comment" value="odeslat komentář">
	</form>

	<?php foreach ($result as $value) { ?>
		<div class="comment">
			<h3><?= htmlspecialchars($value["name"], ENT_QUOTES) ?></h3>
			<small><?= $value["date"] ?></small>
			<p><?= htmlspecialchars($value["text"], ENT_QUOTES) ?></p>
		</div>
	<?php } ?>

</body>
</html>









